ข้ามไปยังเนื้อหา

Fibo Lite

ผสานการทำงาน

ID โมเดล bria/fibo-lite/generate
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-lite/generate?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.036 36 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Bria AI ข้อความเป็นภาพ รวดเร็ว #bria#fibo#lite

โมเดล text-to-image ขนาดเล็กที่ทำงานเร็ว รองรับพรอมต์แบบมีโครงสร้างและภาพอ้างอิงเสริม

Bria AI · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

พรอมต์ที่ใช้สำหรับการสร้าง

aspect_ratio ค่าเริ่มต้น 1:1

สัดส่วนรูปภาพ ค่าที่ใช้ได้คือ 1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9

ขั้นสูง image · seed · structured_prompt
image_url
วางไฟล์ หรือ

URL ของรูปภาพอินพุต

ค่าเริ่มต้น 7

Seed ที่ใช้โดยตัวสร้างตัวเลขสุ่ม

พรอมต์แบบมีโครงสร้างที่ใช้สำหรับการสร้าง

POST /run/bria/fibo-lite/generate?wait=20 ใบเสนอราคา → $0.036
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-lite/generate?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Fibo Lite

Fibo รุ่นน้ำหนักเบาที่สร้างรูปภาพจาก `prompt` หรือ `structured_prompt` โดยเลือกใช้อินพุต `image_url` ได้ การตั้งค่าคือ `seed` (ค่าเริ่มต้น 7) และ `aspect_ratio` จาก 9 ค่า ไม่มีการควบคุมความละเอียดหรือจำนวนขั้นตอน และส่งคืนพรอมต์แบบมีโครงสร้างพร้อมกับรูปภาพ

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptไม่บังคับ
ประเภทstring | null
พรอมต์ที่ใช้สำหรับการสร้าง
structured_promptไม่บังคับ
ประเภทobject
พรอมต์แบบมีโครงสร้างที่ใช้สำหรับการสร้าง
structured_prompt.short_descriptionจำเป็น
ประเภทstring
ภาพรวมโดยย่อของสิ่งที่รูปภาพมีอยู่ จำกัดไม่เกิน 200 คำ
structured_prompt.objectsจำเป็น
ประเภทobject[]
รายการวัตถุสำคัญในบริเวณด้านหน้าหรือระยะกลาง
structured_prompt.objects[].descriptionจำเป็น
ประเภทstring
สรุปโดยย่อที่อธิบายวัตถุ
structured_prompt.objects[].locationจำเป็น
ประเภทstring
ตำแหน่ง เช่น: 'center', 'top-left' หรือ 'bottom-right foreground'
structured_prompt.objects[].relationshipจำเป็น
ประเภทstring
อธิบายวัตถุนี้สัมพันธ์กับวัตถุอื่นภายในรูปภาพอย่างไร
structured_prompt.objects[].relative_sizeไม่บังคับ
ประเภทstring | null
ขนาด เช่น: 'small', 'medium' หรือ 'large within frame'
structured_prompt.objects[].shape_and_colorไม่บังคับ
ประเภทstring | null
รูปร่างพื้นฐานและสีหลักของวัตถุ
structured_prompt.objects[].textureไม่บังคับ
ประเภทstring | null
พื้นผิว เช่น: 'smooth', 'rough', 'metallic' หรือ 'furry'
structured_prompt.objects[].appearance_detailsไม่บังคับ
ประเภทstring | null
ลักษณะทางภาพเพิ่มเติมที่ควรระบุ
structured_prompt.objects[].number_of_objectsไม่บังคับ
ประเภทinteger | null
จำนวนวัตถุภายในกลุ่ม
structured_prompt.objects[].poseไม่บังคับ
ประเภทstring | null
ตำแหน่งของร่างกาย
structured_prompt.objects[].expressionไม่บังคับ
ประเภทstring | null
สีหน้าที่แสดง
structured_prompt.objects[].clothingไม่บังคับ
ประเภทstring | null
เสื้อผ้าที่สวมใส่
structured_prompt.objects[].actionไม่บังคับ
ประเภทstring | null
การกระทำของบุคคล
structured_prompt.objects[].genderไม่บังคับ
ประเภทstring | null
เพศของบุคคล
structured_prompt.objects[].skin_tone_and_textureไม่บังคับ
ประเภทstring | null
โทนสีและพื้นผิวของผิว
structured_prompt.objects[].orientationไม่บังคับ
ประเภทstring | null
ทิศทางของบุคคล
structured_prompt.background_settingจำเป็น
ประเภทstring
คำอธิบายฉากโดยรวม: สถานที่เกิดเหตุ สภาพแวดล้อมหรือฉากหลัง และลักษณะพื้นหลังอื่น ๆ ที่ควรระบุ
structured_prompt.lightingจำเป็น
ประเภทobject
ข้อมูลที่อธิบายการจัดแสง
structured_prompt.lighting.conditionsจำเป็น
ประเภทstring
ตัวอย่างการจัดแสง ได้แก่ 'bright daylight', 'dim indoor', 'studio lighting' และ 'golden hour'
structured_prompt.lighting.directionจำเป็น
ประเภทstring
ทิศทางการจัดแสง ตัวอย่าง ได้แก่ 'front-lit', 'backlit' และ 'side-lit from left'
structured_prompt.lighting.shadowsไม่บังคับ
ประเภทstring | null
คำอธิบายเงาที่ปรากฏ
structured_prompt.aestheticsจำเป็น
ประเภทobject
ข้อมูลที่อธิบายสุนทรียศาสตร์ของรูปภาพ
structured_prompt.aesthetics.compositionจำเป็น
ประเภทstring
รูปแบบการจัดองค์ประกอบ ตัวอย่าง ได้แก่ 'rule of thirds', 'symmetrical', 'centered' และ 'leading lines'
structured_prompt.aesthetics.color_schemeจำเป็น
ประเภทstring
โทนสี ตัวอย่าง ได้แก่ 'monochromatic blue', 'warm complementary colors' และ 'high contrast'
structured_prompt.aesthetics.mood_atmosphereจำเป็น
ประเภทstring
อารมณ์หรือบรรยากาศ เช่น `joyful`, `serene`, `mysterious` หรือ `energetic`
structured_prompt.aesthetics.aesthetic_scoreจำเป็น
ประเภทstring
คำอธิบายคะแนน เช่น medium, very low, low, very high หรือ high
structured_prompt.aesthetics.preference_scoreจำเป็น
ประเภทstring
คำอธิบายคะแนน เช่น medium, very low, low, very high หรือ high
structured_prompt.photographic_characteristicsไม่บังคับ
ประเภทobject
ข้อมูลที่อธิบายคุณสมบัติด้านการถ่ายภาพ
structured_prompt.photographic_characteristics.depth_of_fieldจำเป็น
ประเภทstring
ระยะชัดลึก ตัวอย่าง ได้แก่ 'shallow', 'deep' และ 'bokeh background'
structured_prompt.photographic_characteristics.focusจำเป็น
ประเภทstring
ลักษณะการโฟกัส ตัวอย่าง ได้แก่ 'sharp focus on subject', 'soft focus' และ 'motion blur'
structured_prompt.photographic_characteristics.camera_angleจำเป็น
ประเภทstring
มุมกล้อง ตัวอย่าง ได้แก่ 'eye-level', 'low angle', 'high angle' และ 'dutch angle'
structured_prompt.photographic_characteristics.lens_focal_lengthจำเป็น
ประเภทstring
ประเภทเลนส์หรือทางยาวโฟกัส เช่น `macro`, `fisheye`, `wide-angle` หรือ `telephoto`
structured_prompt.style_mediumไม่บังคับ
ประเภทstring | null
สื่อหรือรูปแบบศิลปะที่ใช้
structured_prompt.text_renderไม่บังคับ
ประเภทobject[]
รายการองค์ประกอบข้อความที่แสดงผลภายในรูปภาพ
structured_prompt.text_render[].textจำเป็น
ประเภทstring
เนื้อหาของข้อความ
structured_prompt.text_render[].locationจำเป็น
ประเภทstring
ตำแหน่ง เช่น: 'center', 'top-left' หรือ 'bottom-right foreground'
structured_prompt.text_render[].sizeจำเป็น
ประเภทstring
ขนาด เช่น: 'small', 'medium' หรือ 'large within frame'
structured_prompt.text_render[].colorจำเป็น
ประเภทstring
สี เช่น `green`, `red` หรือ `blue`
structured_prompt.text_render[].fontจำเป็น
ประเภทstring
รูปแบบฟอนต์ เช่น `minimalist`, `realistic` หรือ `cartoonish`
structured_prompt.text_render[].appearance_detailsไม่บังคับ
ประเภทstring | null
ลักษณะทางภาพเพิ่มเติมที่ควรระบุ
structured_prompt.contextจำเป็น
ประเภทstring
บริบทเพิ่มเติมเพื่อช่วยตีความรูปภาพ
structured_prompt.artistic_styleจำเป็น
ประเภทstring
ลักษณะทางศิลปะเฉพาะ โดยใช้ไม่เกิน 3 คำ
structured_prompt.subject_emotionsไม่บังคับ
ประเภทstring | null
คำอธิบายโดยตรงของสีหน้าหรืออารมณ์ที่มองเห็นได้ของตัวแบบ
image_urlไม่บังคับ image
ประเภทurl · image
URL ของรูปภาพอินพุต
seedไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น7
Seed ที่ใช้โดยตัวสร้างตัวเลขสุ่ม
aspect_ratioไม่บังคับ
ประเภทenum
ค่าเริ่มต้น1:1
1:12:33:23:44:34:55:49:1616:9
สัดส่วนรูปภาพ ค่าที่ใช้ได้คือ 1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-lite/generate",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 36,
    "usd": "0.036",
    "charged": 36,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "images": [
      {}
    ],
    "structured_prompt": {
      "short_description": "string",
      "objects": [
        {
          "description": "string",
          "location": "string",
          "relationship": "string",
          "relative_size": "string",
          "shape_and_color": "string",
          "texture": "string",
          "appearance_details": "string",
          "number_of_objects": 1,
          "pose": "string",
          "expression": "string",
          "clothing": "string",
          "action": "string",
          "gender": "string",
          "skin_tone_and_texture": "string",
          "orientation": "string"
        }
      ],
      "background_setting": "string",
      "lighting": {
        "conditions": "string",
        "direction": "string",
        "shadows": "string"
      },
      "aesthetics": {
        "composition": "string",
        "color_scheme": "string",
        "mood_atmosphere": "string",
        "aesthetic_score": "string",
        "preference_score": "string"
      },
      "photographic_characteristics": {
        "depth_of_field": "string",
        "focus": "string",
        "camera_angle": "string",
        "lens_focal_length": "string"
      },
      "style_medium": "string",
      "text_render": [
        {
          "text": "string",
          "location": "string",
          "size": "string",
          "color": "string",
          "font": "string",
          "appearance_details": "string"
        }
      ],
      "context": "string",
      "artistic_style": "string",
      "subject_emotions": "string"
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
image
object {url, content_type, file_name, file_size, width, height}รูปภาพที่โมเดลสร้าง
images
array of objectรูปภาพที่สร้างขึ้น
structured_prompt
object {short_description, objects, background_setting, lighting, aesthetics, photographic_characteristics, style_medium, text_render, context, artistic_style, subject_emotions}พรอมต์ที่กำลังใช้งาน

โมเดลเพิ่มเติม: ข้อความเป็นภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/bria/fibo-lite/generate.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt